Skip to main content
GET
/
customer-trust
/
accounts
List customer trust accounts
curl --request GET \
  --url https://api.vanta.com/v1/customer-trust/accounts \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "cursor1",
      "endCursor": "cursor2"
    },
    "data": [
      {
        "id": "507f1f77bcf86cd799439011",
        "name": "Acme Corporation",
        "emailDomain": "acme.com",
        "createdDate": "2024-01-01T00:00:00.000Z",
        "updatedDate": "2024-01-02T00:00:00.000Z",
        "ndaDetails": {
          "ndaStatus": "SIGNED",
          "ndaSatisfiedDate": "2024-01-02T00:00:00.000Z"
        },
        "accessConfig": {
          "autoApprovalEnabled": false,
          "grantAccessOption": "INCLUDE_EVERYTHING_REQUESTED"
        },
        "customFields": [
          {
            "label": "externalId",
            "value": "12345"
          }
        ],
        "tagsByCategory": [
          {
            "categoryId": "507f1f77bcf86cd799439012",
            "tagIds": [
              "507f1f77bcf86cd799439013"
            ]
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

searchString
string
isAutoApprovalEnabled
boolean
customFieldsFilter
string

Response

200 - application/json

Ok

results
object
required